Bug 6910 - idmap_ldap stumbles over idmap backend = ldap:"ldap://ldap1 ldap://ldap2"
idmap_ldap stumbles over idmap backend = ldap:"ldap://ldap1 ldap://ldap2"
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Winbind
3.4.3
All All
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-20 07:25 UTC by Michael Adam
Modified: 2009-11-23 04:40 UTC (History)
1 user (show)

See Also:


Attachments
Patchset for 3.4. (2.07 KB, patch)
2009-11-20 07:26 UTC, Michael Adam
vl: review+
Details
Patchset for 3.3 (2.06 KB, patch)
2009-11-23 04:28 UTC, Michael Adam
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2009-11-20 07:25:08 UTC
The quote signs (") are not stripped here and this results in
error messages: "ldap_initialize: Bad parameter to an ldap routine"

In 3.2, this used to work due to the following:

* In 3.2, the "idmap backend" was of type string list,
  and the string was processed with  str_list_make(),
  which stripped all quotes using next_token_talloc().

* In 3.4, "idmap backend" parameter is of type string,
  so the quotes are not stripped by loadparm.
  Hence the stipping of the quotes from the
  location is needed in 3.4.

Michael
Comment 1 Michael Adam 2009-11-20 07:25:33 UTC
This also applies to the idmap alloc backend parameter.
Comment 2 Michael Adam 2009-11-20 07:26:40 UTC
Created attachment 4968 [details]
Patchset for 3.4.

Patch to fix the issue on 3.4.

Volker, please review.
Comment 3 Volker Lendecke 2009-11-21 06:59:29 UTC
Comment on attachment 4968 [details]
Patchset for 3.4.

Looks good, thanks
Comment 4 Karolin Seeger 2009-11-23 02:05:28 UTC
Pushed to v3-4-test.
Closing out bug report.

Thanks!
Comment 5 Karolin Seeger 2009-11-23 04:13:03 UTC
3.3 is also affected by this one.
Comment 6 Michael Adam 2009-11-23 04:28:05 UTC
Created attachment 4979 [details]
Patchset for 3.3

This contains the patchset for the v3-3-test branch.
But the 3.4 patchset can also be applied (with "git am -3" due
to the source/ -> source3/ change, apart from that it is the
same patch).
Comment 7 Karolin Seeger 2009-11-23 04:40:03 UTC
Pushed to v3-3-test.
Closing out bug report.

Thanks!